summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-board/gnuchess-book
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-board/gnuchess-book')
-rw-r--r--games-board/gnuchess-book/Manifest1
-rw-r--r--games-board/gnuchess-book/gnuchess-book-1.02.ebuild31
-rw-r--r--games-board/gnuchess-book/metadata.xml5
3 files changed, 37 insertions, 0 deletions
diff --git a/games-board/gnuchess-book/Manifest b/games-board/gnuchess-book/Manifest
new file mode 100644
index 00000000000..b25c0c9e16b
--- /dev/null
+++ b/games-board/gnuchess-book/Manifest
@@ -0,0 +1 @@
+DIST book_1.02.pgn.gz 26265281 SHA256 deac77edb061a59249a19deb03da349cae051e52527a6cb5af808d9398d32d44 SHA512 2fda39fae66a2afaf0084bd482465de04a65b842276760cde69cb6649c0d3b90c5341e10b4d344e06983bdc97ec8802582d622290bc419b8742d3cd6dd39688a WHIRLPOOL d49418d5f0ebae424e551be69601d82ba230bff9e503de21ce160241eb5640128e5848ba9dbd72809373df6d66fa0c2031b2780ce58db682732589685d385450
diff --git a/games-board/gnuchess-book/gnuchess-book-1.02.ebuild b/games-board/gnuchess-book/gnuchess-book-1.02.ebuild
new file mode 100644
index 00000000000..eb7504a449d
--- /dev/null
+++ b/games-board/gnuchess-book/gnuchess-book-1.02.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit games
+
+DESCRIPTION="Opening book for gnuchess"
+HOMEPAGE="http://www.gnu.org/software/chess/chess.html"
+SRC_URI="mirror://gnu/chess/book_${PV}.pgn.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86"
+IUSE=""
+RESTRICT="userpriv" # bug #112898
+
+DEPEND=">=games-board/gnuchess-6"
+RDEPEND=${DEPEND}
+
+S=${WORKDIR}
+
+src_compile() {
+ "${GAMES_BINDIR}"/gnuchess --addbook=book_${PV}.pgn || die
+}
+
+src_install() {
+ insinto "${GAMES_DATADIR}/gnuchess"
+ doins book.bin
+ prepgamesdirs
+}
diff --git a/games-board/gnuchess-book/metadata.xml b/games-board/gnuchess-book/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/games-board/gnuchess-book/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>